
QGIS Application - Bug report #14885

Layer effect lost when exporting

2016-05-25 04:58 AM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22838

Description

I applied some layer effects to a polygon layer, but most of the effects seem to get lost when exporting to JPG, TIFF and PDF. In the

attached image, the left part is in QGIS and the right part is from the exported JPG.

QGIS 2.14.0, 64 bit

Windows 7, 64 bit

Associated revisions

Revision f9810a45 - 2019-05-23 06:34 AM - Mathieu Pellerin - nIRV

[effects] Fix blur radius not taking dpi into account (fixes #14885)

Revision 9809c1e4 - 2019-05-24 01:26 AM - Mathieu Pellerin - nIRV

[effects] Fix blur radius not taking dpi into account (fixes #14885)

History

#1 - 2016-05-25 08:43 AM - Nyall Dawson

- Status changed from Open to Feedback

Are you using a blur? If so, the blur units are in pixels, so a blur exported to a higher dpi via composer will look smaller then the on-screen version.

#2 - 2016-05-27 12:19 AM - Magnus Nilsson

Ah, yes, I use blur and your suggestion helped. Obviously, this is not a bug.

#3 - 2016-05-27 12:29 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
